# ----------------------------------------------------------------------------
# - afnix-defs                                                               -
# - afnix definition make file configuration                                 -
# ----------------------------------------------------------------------------
# - This program is  free software;  you can  redistribute it and/or  modify -
# - it provided that this copyright notice is kept intact.                   -
# -                                                                          -
# - This  program  is  distributed in the hope  that it  will be useful, but -
# - without  any   warranty;  without  even   the   implied    warranty   of -
# - merchantability  or fitness for a particular purpose. In not event shall -
# - the copyright holder be  liable for  any direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.      -
# ----------------------------------------------------------------------------
# - copyright (c) 1999-2005 amaury darsch                                    -
# ----------------------------------------------------------------------------

# ----------------------------------------------------------------------------
# - archive tag extension                                                    -
# ----------------------------------------------------------------------------

ARTAG		= afnix-$(MAJOR)-$(MINOR)-$(PATCH)

# ----------------------------------------------------------------------------
# - distribution path definition                                             -
# ----------------------------------------------------------------------------

CNFDIR          = $(TOPDIR)/cnf
SRCDIR		= $(TOPDIR)/src
BLDDIR          = $(TOPDIR)/bld
TEXDIR		= $(TOPDIR)/tex
ETCDIR		= $(TOPDIR)/etc
EXPDIR		= $(TOPDIR)/exp
EXTDIR		= $(SRCDIR)/ext

# ----------------------------------------------------------------------------
# - build path definition                                                    -
# ----------------------------------------------------------------------------

BLDBIN		= $(BLDDIR)/bin
BLDLIB		= $(BLDDIR)/lib
BLDHDR		= $(BLDDIR)/hdr
BLDDOC		= $(BLDDIR)/afnix-doc-$(MAJOR)-$(MINOR)-$(PATCH)
BLDDST		= $(BLDDIR)/afnix-src-$(MAJOR)-$(MINOR)-$(PATCH)

# ----------------------------------------------------------------------------
# - indirect project definition                                              -
# ----------------------------------------------------------------------------

AXIBLD          = $(BLDDIR)
AXIBIN          = $(BLDLIB)
AXILIB          = $(BLDLIB)
AXIHDR          = $(BLDHDR)

# ----------------------------------------------------------------------------
# - install path definition                                                  -
# ----------------------------------------------------------------------------

BINDIR		= $(PREFIX)/bin
LIBDIR		= $(PREFIX)/lib
HDRDIR		= $(SHRDIR)/include/afnix
DOCDIR		= $(SHRDIR)/doc/afnix
MANDIR		= $(SHRDIR)/man
ETCDIR		= $(SHRDIR)/etc/afnix

# ----------------------------------------------------------------------------
# - other shared commands and scripts                                        -
# ----------------------------------------------------------------------------

MKDIR           = $(CNFDIR)/bin/afnix-mkdir
ATEST		= $(CNFDIR)/bin/afnix-atest
BTEST		= $(CNFDIR)/bin/afnix-btest
XCRUN		= $(CNFDIR)/bin/afnix-xcrun
XLRUN		= $(CNFDIR)/bin/afnix-xlrun

# ----------------------------------------------------------------------------
# - configuration definitions                                                -
# ----------------------------------------------------------------------------

CNFDEFINES	= -DPLATNAME=\"$(PLATNAME)\" 
CNFDEFINES     += -DPLATVERS=\"$(PLATVERS)\"
CNFDEFINES     += -DPLATVMAJ=\"$(PLATVMAJ)\"
CNFDEFINES     += -DPLATVMIN=\"$(PLATVMIN)\"
CNFDEFINES     += -DPROCNAME=\"$(PROCNAME)\"
CNFDEFINES     += -DPROCTYPE=\"$(PROCTYPE)\"
CNFDEFINES     += -DPLTMAJOR=\"$(MAJOR)\"
CNFDEFINES     += -DPLTMINOR=\"$(MINOR)\"
CNFDEFINES     += -DPLTPATCH=\"$(PATCH)\"
CNFDEFINES     += -DLINKTYPE=\"$(LKTYPE)\"
