# ---------------------------------------------------------------------------
# - t_8002.als                                                              -
# - afnix:odc library test module                                           -
# ---------------------------------------------------------------------------
# - This program is free software;  you can redistribute it  and/or  modify -
# - it provided that this copyright notice is kept intact.                  -
# -                                                                         -
# - This program  is  distributed in  the hope  that it will be useful, but -
# - without  any  warranty;  without  even   the   implied    warranty   of -
# - merchantability or fitness for a particular purpose.  In no event shall -
# - the copyright holder be liable for any  direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.     -
# ---------------------------------------------------------------------------
# - copyright (c) 1999-2005 amaury darsch                                   -
# ---------------------------------------------------------------------------

# @info   table test module
# @author amaury darsch

# ethernix-library
interp:library "afnix-odc"

# create a new table
const  tbl  (afnix:odc:Table)
assert true (afnix:odc:table-p tbl)

# set and check name
tbl:set-name    "table"
assert "table"  (tbl:get-name)

# add some info and check
tbl:add-info "info" 2000 0.0 't' true
trans  cell   (tbl:get-info 0)
assert "info" (cell:get)
assert "info" (tbl:map-info 0)
trans  cell   (tbl:get-info 1)
assert 2000   (cell:get)
assert 2000   (tbl:map-info 1)
trans  cell   (tbl:get-info 2)
assert 0.0    (cell:get)
assert 0.0    (tbl:map-info 2)
trans  cell   (tbl:get-info 3)
assert 't'    (cell:get)
assert 't'    (tbl:map-info 3)
trans  cell   (tbl:get-info 4)
assert true   (cell:get)
assert true   (tbl:map-info 4)

# add in the table header and check
tbl:add-header "info" 2000
trans  cell   (tbl:get-header 0)
assert "info" (cell:get)
assert "info" (tbl:map-header 0)
trans  cell   (tbl:get-header 1)
assert 2000   (cell:get)
assert 2000   (tbl:map-header 1)

# add in the table footer and check
tbl:add-footer 2000 "info"
trans  cell   (tbl:get-footer 0)
assert 2000   (cell:get)
assert 2000   (tbl:map-footer 0)
trans  cell   (tbl:get-footer 1)
assert "info" (cell:get)
assert "info" (tbl:map-footer 1)

# add data to the table
tbl:add-data  "hello" "world"
assert 1 (tbl:length)
tbl:add-data  2000 2001
assert 2 (tbl:length)
