# ---------------------------------------------------------------------------
# - t_5501.als                                                              -
# - afnix:txt library test module                                           -
# ---------------------------------------------------------------------------
# - This program is free software;  you can redistribute it  and/or  modify -
# - it provided that this copyright notice is kept intact.                  -
# -                                                                         -
# - This program  is  distributed in  the hope  that it will be useful, but -
# - without  any  warranty;  without  even   the   implied    warranty   of -
# - merchantability or fitness for a particular purpose.  In no event shall -
# - the copyright holder be liable for any  direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.     -
# ---------------------------------------------------------------------------
# - copyright (c) 1999-2005 amaury darsch                                   -
# ---------------------------------------------------------------------------

# @info   hasher test module
# @author amaury darsch

# get the library
interp:library "afnix-txt"

# ---------------------------------------------------------------------------
# - MD5 test section                                                        -
# ---------------------------------------------------------------------------

# get a default digest (MD5)
const md5 (afnix:txt:Hasher)

# check with a string
assert "D41D8CD98F00B204E9800998ECF8427E" (md5:compute "")
assert "0CC175B9C0F1B6A831C399E269772661" (md5:compute "a")
assert "900150983CD24FB0D6963F7D28E17F72" (md5:compute "abc")
assert "5EB63BBBE01EEED093CB22BB8F5ACDC3" (md5:compute "hello world")
assert "F96B697D7CB7938D525A2F31AAF161D0" (md5:compute "message digest")

# check with a buffer
assert "D41D8CD98F00B204E9800998ECF8427E" (md5:compute (Buffer ""))
assert "0CC175B9C0F1B6A831C399E269772661" (md5:compute (Buffer "a"))
assert "900150983CD24FB0D6963F7D28E17F72" (md5:compute (Buffer "abc"))
assert "5EB63BBBE01EEED093CB22BB8F5ACDC3" (md5:compute (Buffer "hello world"))

# ---------------------------------------------------------------------------
# - SHA-1 test section                                                      -
# ---------------------------------------------------------------------------

# get a SHA-1 digest 
const sha-1 (afnix:txt:Hasher afnix:txt:Hasher:SHA-1)

# check with a string
assert "A9993E364706816ABA3E25717850C26C9CD0D89D" (sha-1:compute "abc")
assert "FAD1FD98E882B0013DD257DF063BF4A2926EDA17" (sha-1:compute "afnix")
